Skip to main content
PATCH
/
accounts
/
{id}
Update Account
curl --request PATCH \
  --url https://api.otim.com/v0/accounts/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>",
  "metadata": {}
}
'
import requests

url = "https://api.otim.com/v0/accounts/{id}"

payload = {
"name": "<string>",
"metadata": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', metadata: {}})
};

fetch('https://api.otim.com/v0/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "acc_01JA1B2C3D4E5F6G7H8J9K0L",
  "entityId": "ent_01JA1B2C3D4E5F6G7H8J9K0L",
  "name": "Treasury",
  "type": "wallet",
  "chain": "base",
  "availableBalance": "1000000",
  "pendingBalance": "0",
  "lockedBalance": "0",
  "holdingBalance": "0",
  "currency": "USDC",
  "status": "active",
  "autoEarn": true,
  "metadata": {},
  "createdAt": "2025-01-15T12:00:00Z",
  "updatedAt": "2025-01-15T12:00:00Z"
}
{
"error": "<string>",
"code": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"details": {}
}
{
"error": "<string>",
"code": "<string>",
"details": {}
}

Authorizations

Authorization
string
header
required

API key prefixed with sk_.

Path Parameters

id
string
required

The ID of the Account.

Body

application/json
name
string

Update the display name for the Account.

metadata
object | null

Replace the metadata attached to the Account. Set to null to clear.

Response

Updated Account.

id
string
Example:

"acc_01JA1B2C3D4E5F6G7H8J9K0L"

entityId
string
Example:

"ent_01JA1B2C3D4E5F6G7H8J9K0L"

name
string
Example:

"Treasury"

type
enum<string>
Available options:
wallet,
bank
Example:

"wallet"

chain
string | null
Example:

"base"

availableBalance
string
Example:

"1000000"

pendingBalance
string
Example:

"0"

lockedBalance
string
Example:

"0"

holdingBalance
string
Example:

"0"

currency
string
Example:

"USDC"

status
enum<string>
Available options:
active,
inactive
Example:

"active"

autoEarn
boolean

Whether this Account is earning yield on idle balances.

Example:

true

metadata
object | null
createdAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"

updatedAt
string<date-time>
Example:

"2025-01-15T12:00:00Z"